Genivia - wsrx.h File Reference

|  | Home | Documentation | wsrx.h File Reference updated Thu Mar 21 2024 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Classes | Functions
wsrx.h File Reference
This graph shows which files directly or indirectly include this file:

## Classes
struct | SOAP_ENV__Header
| Added. More...

## Functions
int | __wsrm__CreateSequence (struct wsrm__CreateSequenceType *wsrm__CreateSequence, struct wsrm__CreateSequenceResponseType *wsrm__CreateSequenceResponse)
int | __wsrm__CloseSequence (struct wsrm__CloseSequenceType *wsrm__CloseSequence, struct wsrm__CloseSequenceResponseType *wsrm__CloseSequenceResponse)
int | __wsrm__TerminateSequence (struct wsrm__TerminateSequenceType *wsrm__TerminateSequence, struct wsrm__TerminateSequenceResponseType *wsrm__TerminateSequenceResponse)
int | __wsrm__CreateSequenceResponse (struct wsrm__CreateSequenceResponseType *wsrm__CreateSequenceResponse, void)
int | __wsrm__CloseSequenceResponse (struct wsrm__CloseSequenceResponseType *wsrm__CloseSequenceResponse, void)
int | __wsrm__TerminateSequenceResponse (struct wsrm__TerminateSequenceResponseType *wsrm__TerminateSequenceResponse, void)
int | __wsrm__SequenceAcknowledgement (void)
int | __wsrm__AckRequested (void)

## Function Documentation

int __wsrm__AckRequested | ( | void |  | ) |

int __wsrm__CloseSequence | ( | struct wsrm__CloseSequenceType * | wsrm__CloseSequence,
|  | struct wsrm__CloseSequenceResponseType * | wsrm__CloseSequenceResponse
| ) |  |

int __wsrm__CloseSequenceResponse | ( | struct wsrm__CloseSequenceResponseType * | wsrm__CloseSequenceResponse,
|  | void |
| ) |  |

int __wsrm__CreateSequence | ( | struct wsrm__CreateSequenceType * | wsrm__CreateSequence,
|  | struct wsrm__CreateSequenceResponseType * | wsrm__CreateSequenceResponse
| ) |  |

int __wsrm__CreateSequenceResponse | ( | struct wsrm__CreateSequenceResponseType * | wsrm__CreateSequenceResponse,
|  | void |
| ) |  |

int __wsrm__SequenceAcknowledgement | ( | void |  | ) |

int __wsrm__TerminateSequence | ( | struct wsrm__TerminateSequenceType * | wsrm__TerminateSequence,
|  | struct wsrm__TerminateSequenceResponseType * | wsrm__TerminateSequenceResponse
| ) |  |

int __wsrm__TerminateSequenceResponse | ( | struct wsrm__TerminateSequenceResponseType * | wsrm__TerminateSequenceResponse,
|  | void |
| ) |  |